curl --request POST \
--url https://sis.sumvin.com/v0/organisation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"contact_email": "jsmith@example.com",
"founding_member_email": "jsmith@example.com"
}
'{
"_links": {
"self": {
"href": "<string>",
"method": "GET",
"templated": false,
"description": "<string>"
},
"members": {
"href": "<string>",
"method": "GET",
"templated": false,
"description": "<string>"
},
"keys": {
"href": "<string>",
"method": "GET",
"templated": false,
"description": "<string>"
},
"environments": {
"href": "<string>",
"method": "GET",
"templated": false,
"description": "<string>"
},
"events": {
"href": "<string>",
"method": "GET",
"templated": false,
"description": "<string>"
}
},
"organisation": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"created_at": 123,
"contact_email": "<string>",
"clerk_org_id": "<string>",
"members": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"status": "<string>",
"created_at": 123
}
],
"environments": [
{
"id": "<string>",
"name": "<string>",
"created_at": 123,
"updated_at": 123,
"label": "<string>",
"auth": {
"provider": "<string>",
"is_active": true,
"created_at": 123,
"updated_at": 123,
"credentials": {
"environment_id": "<string>",
"api_key": "<string>"
}
},
"features": [
{
"feature": "<string>",
"enabled": true,
"config": {},
"created_at": 123,
"updated_at": 123
}
]
}
]
}
}curl --request POST \
--url https://sis.sumvin.com/v0/organisation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"contact_email": "jsmith@example.com",
"founding_member_email": "jsmith@example.com"
}
'{
"_links": {
"self": {
"href": "<string>",
"method": "GET",
"templated": false,
"description": "<string>"
},
"members": {
"href": "<string>",
"method": "GET",
"templated": false,
"description": "<string>"
},
"keys": {
"href": "<string>",
"method": "GET",
"templated": false,
"description": "<string>"
},
"environments": {
"href": "<string>",
"method": "GET",
"templated": false,
"description": "<string>"
},
"events": {
"href": "<string>",
"method": "GET",
"templated": false,
"description": "<string>"
}
},
"organisation": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"created_at": 123,
"contact_email": "<string>",
"clerk_org_id": "<string>",
"members": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"status": "<string>",
"created_at": 123
}
],
"environments": [
{
"id": "<string>",
"name": "<string>",
"created_at": 123,
"updated_at": 123,
"label": "<string>",
"auth": {
"provider": "<string>",
"is_active": true,
"created_at": 123,
"updated_at": 123,
"credentials": {
"environment_id": "<string>",
"api_key": "<string>"
}
},
"features": [
{
"feature": "<string>",
"enabled": true,
"config": {},
"created_at": 123,
"updated_at": 123
}
]
}
]
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.